For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Read the users in your organisation.

Get all users

get

Get a list of all members in your organization. This list includes all the members including the ones who are removed from the organization.

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

A bare JSON array of users — not wrapped in an envelope.

application/json
_idstringOptional
firstNamestringOptional
lastNamestringOptional
emailstring · emailOptional
phonestringOptional
rolestringOptional
timezonestringOptional
get/users
GET /users HTTP/1.1
Host: api.spike.sh
x-api-key: text
Accept: */*
[
  {
    "_id": "6a3c2d5e0f9b8c7d6e5f4a32",
    "firstName": "Ada",
    "lastName": "Lovelace",
    "email": "ada@acme.io",
    "phone": "+15550100",
    "role": "admin",
    "timezone": "America/New_York"
  }
]

Get a user

get

Get a list of all members in your organization. This list includes all the members including the ones who are removed from the organization.

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
userIdstringRequired

userId parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
_idstringOptional
firstNamestringOptional
lastNamestringOptional
emailstring · emailOptional
phonestringOptional
rolestringOptional
timezonestringOptional
get/users/{userId}
GET /users/{userId} HTTP/1.1
Host: api.spike.sh
x-api-key: text
Accept: */*
{
  "_id": "6a3c2d5e0f9b8c7d6e5f4a32",
  "firstName": "Ada",
  "lastName": "Lovelace",
  "email": "ada@acme.io",
  "phone": "+15550100",
  "role": "admin",
  "timezone": "America/New_York"
}

Last updated

Was this helpful?